// **********************************************************************
//
// Copyright (c) 1999
// Object Oriented Concepts, Inc.
// Billerica, MA, USA
//
// All Rights Reserved
//
// *********************************************************************

#ifndef PROXY_CONSUMER_H
#define PROXY_CONSUMER_H

//
// This class represents all ProxyConsumers.
//
class ProxyConsumer_impl
{
public:
    virtual ~ProxyConsumer_impl() { }

    virtual void disconnect() = 0;
    virtual void release() = 0;
};

#endif
